Frontend API
Retrieve all members of a workspace
cURL
curl --request GET \ --url https://api.wacht.dev/workspaces/{id}/members \ --cookie session_id=
{ "status": 200, "message": "", "data": { "data": [ { "id": "333333333333333333", "workspace_id": "123456789012345678", "organization_membership_id": "777777777777777777", "user_id": "555555555555555555", "roles": [ { "id": "444444444444444444", "workspace_id": "123456789012345678", "name": "Developer", "permissions": [ "workspace:read", "workspace:write" ], "is_system_role": false, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" } ], "user": { "id": "<string>", "first_name": "<string>", "last_name": "<string>", "email": "jsmith@example.com", "username": "<string>", "profile_picture_url": "<string>" }, "public_metadata": {}, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" } ], "meta": {} }, "session": { "id": "123456789012345678", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" }, "errors": [ { "code": "INVALID_CREDENTIALS", "message": "Invalid credentials. Please try again." } ] }
Session-based authentication using cookies
Workspace ID
Members retrieved successfully
HTTP status code
200
Response message (empty on success)
""
Show child attributes
Minimal session info included in every response
Error details (null on success)
Was this page helpful?